import { Table } from "@journeyapps/powersync-sdk-common";
export declare const ATTACHMENT_TABLE = "attachments";
export interface AttachmentRecord {
    id: string;
    filename: string;
    local_uri?: string;
    size?: number;
    media_type?: string;
    timestamp?: number;
    state: AttachmentState;
}
export declare enum AttachmentState {
    QUEUED_SYNC = 0,
    QUEUED_UPLOAD = 1,
    QUEUED_DOWNLOAD = 2,
    SYNCED = 3,
    ARCHIVED = 4
}
export declare function createAttachmentTable(name?: string): Table;
